aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorRyan Kavanagh <rak@debian.org>2018-04-13 11:30:56 -0400
committerRyan Kavanagh <rak@debian.org>2018-04-13 11:30:56 -0400
commitdc2c0a6d7b23fd0483afa831db03e5bc0182fa6d (patch)
treefe38784fcc65c84a7c344f9a5ced3d7a8db2c844 /bin
parentProgrammatically choose neomutt vs mutt (diff)
Refactor mouse config into script
Diffstat (limited to 'bin')
-rwxr-xr-xbin/mice.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/bin/mice.sh b/bin/mice.sh
new file mode 100755
index 0000000..794f86f
--- /dev/null
+++ b/bin/mice.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# Synaptics:
+synclient HorizTwoFingerScroll=0 || true
+synclient HorizEdgeScroll=1 || true
+# Enable circular scrolling with top edge activating
+synclient CircularScrolling=1 || true
+synclient CircScrollTrigger=1 || true
+# One finger is left click
+synclient TapButton1=1 || true
+# Two is right click
+synclient TapButton2=3 || true
+# Three is middle click
+synclient TapButton3=2 || true
+# Enable coasting
+synclient CoastingSpeed=5
+synclient CoastingFriction=30
+
+trackball=$(xinput | grep "Kensington Expert Wireless TB" | grep pointer | sed -e 's/.*id=//g;s/\s\+.*//g')
+if [ "x${trackball}" != "x" ]; then
+ xinput set-button-map "${trackball}" 1 2 8 4 5 6 7 3 9 10 11 12 13 14 15 16
+ xinput set-prop "${trackball}" "libinput Accel Speed" 0.25
+fi
+
+